Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QTextLength Class Reference

The QTextLength class encapsulates the different types of length used in a QTextDocument. More...

    #include <QTextLength>

- List of all members, including inherited members

### Public Types

- enum Type { VariableLength, FixedLength, PercentageLength }

### Public Functions

- QTextLength ()
- QTextLength ( Type type, int value )
- int rawValue () const
- Type type () const
- int value ( int maximumLength ) const
- bool operator!= ( const QTextLength & other ) const
- bool operator== ( const QTextLength & other ) const

## Detailed Description

The QTextLength class encapsulates the different types of length used in a QTextDocument.

When we specify a value for the length of an element in a text document, we often need to provide some other information so that the length is used in the way we expect. For example, when we specify a table width, the value can represent a fixed number of pixels, or it can be a percentage value. This information changes both the meaning of the value and the way it is used.

Generally, this class is used to specify table widths. These can be specified either as a fixed amount of pixels, as a percentage of the containing frame's width, or by a variable width that allows it to take up just the space it requires.

See also QTextTable.

## Member Type Documentation

### enum QTextLength::Type

`QTextLength::VariableLength` |
`QTextLength::FixedLength` |
`QTextLength::PercentageLength` |

## Member Function Documentation

### QTextLength::QTextLength ()

Constructs a new length object which represents a variable size.

### QTextLength::QTextLength ( Type type, int value )

Constructs a new length object of the given type and value.

### int QTextLength::rawValue () const

Returns the constraint value that is specific for the type of the lenght. If the length is QTextLength::PercentageLengt then the raw value is in percent, in the range of 0 to 100. If the length is QTextLength::FixedLength then that fixed amount is returned. For variable lengths zero is returned.

### Type QTextLength::type () const

Returns the type of length.

See also QTextLength::Type.

### int QTextLength::value ( int maximumLength ) const

Returns the effective length, constrained by the type of the length object and the specified maximumLength.

See also type().

### bool QTextLength::operator!= ( const QTextLength & other ) const

Returns true if this text length is different from the other text length.

### bool QTextLength::operator== ( const QTextLength & other ) const

Returns true if this text length is the same as the other text length.